import { getEnumTypeList, getEnumTypeName } from './index'

/**
 * 出入库类型
 */
export enum InOutType {
    Buy = 1, // 采购入库
    Sell = 2, // 销售出库
    Inbound = 3, // 生产入库
    Outbound = 4, // 生产出库
}

/**
 * 获取类型列表
 * @returns 
 */
export function getInOutTypeList() {
    return getEnumTypeList('inouttype');
}

/**
 * 获取枚举名称
 * @param value 
 * @returns 
 */
export function getInOutTypeName(value: number) {
    return getEnumTypeName(getInOutTypeList(), value);
}

/**
 * 判断类型是否相同
 * @param key 
 * @param value 
 * @returns 
 */
export function isEqualInOutType(key: keyof typeof InOutType, value: number) {
    return InOutType[key] === value;
}